### Method

# Soup AuthDomain set_generic_auth_callback

#### Declaration [src]

    void
    soup_auth_domain_set_generic_auth_callback (
      SoupAuthDomain* domain,
      SoupAuthDomainGenericAuthCallback auth_callback,
      gpointer auth_data,
      GDestroyNotify dnotify
    )

#### Description [src]

Sets `auth_callback` as an authentication-handling callback for `domain`.

Whenever a request comes in to `domain` which cannot be authenticated via a domain-specific auth callback (eg, `SoupAuthDomainDigestAuthCallback`), the generic auth callback will be invoked. See `SoupAuthDomainGenericAuthCallback` for information on what the callback should do.

Gets property | `Soup.AuthDomain:generic-auth-callback`
Sets property | `Soup.AuthDomain:generic-auth-callback`

#### Parameters

`auth_callback` | `SoupAuthDomainGenericAuthCallback`
| The auth callback.
`auth_data` | `gpointer`
| Data to pass to `auth_callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`dnotify` | `GDestroyNotify`
| Destroy notifier to free `auth_data` when `domain` is destroyed.